> ## Documentation Index
> Fetch the complete documentation index at: https://docs.man0.space/llms.txt
> Use this file to discover all available pages before exploring further.

# Read creator earnings

> Read earnings summaries and individual runs of your workflows. Requires current consent.



## OpenAPI

````yaml openapi.json GET /api/analytics/earn
openapi: 3.0.3
info:
  title: Man0 API
  version: 1.0.0
  description: Man0 workflows, catalog, accounts and NEAR Intents.
servers:
  - url: https://api.man0.space
security: []
tags:
  - name: System
  - name: Accounts
  - name: Authentication
  - name: Catalog
  - name: Vibe and media
  - name: Workflows
  - name: Drafts
  - name: Execution
  - name: Analytics
  - name: NEAR accounts
  - name: Intents
paths:
  /api/analytics/earn:
    get:
      tags:
        - Analytics
      summary: Read creator earnings
      description: >-
        Read earnings summaries and individual runs of your workflows. Requires
        current consent.
      operationId: analytics_earn
      parameters:
        - name: from
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: to
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 1000
            default: 500
      responses:
        '200':
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatorEarnPayload'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Authentication required or expired.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Permission or current consent required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '409':
          description: Resource or policy changed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Request rate exceeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - man0Auth: []
components:
  schemas:
    CreatorEarnPayload:
      type: object
      properties:
        filters:
          type: object
          properties:
            from:
              type: string
            to:
              type: string
          required:
            - from
            - to
        workflows:
          type: array
          items:
            $ref: '#/components/schemas/CreatorWorkflowEarningSummary'
        events:
          type: array
          items:
            $ref: '#/components/schemas/CreatorEarningEvent'
      required:
        - filters
        - workflows
        - events
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
        threadId:
          type: string
        missing:
          type: array
          items:
            $ref: '#/components/schemas/MissingConnectorRequirement'
        missingInputs:
          type: array
          items:
            $ref: '#/components/schemas/MissingInputRequirement'
      required:
        - error
    CreatorWorkflowEarningSummary:
      type: object
      properties:
        workflowId:
          type: string
        name:
          type: string
        banner:
          nullable: true
          type: string
        tasks:
          type: array
          items:
            type: string
        published:
          nullable: true
          type: string
        modified:
          type: string
        creatorFee:
          type: number
        stepsCount:
          type: number
        runs:
          type: number
        paidRuns:
          type: number
        succeededRuns:
          type: number
        failedRuns:
          type: number
        earnedAtomic:
          type: string
        totalChargedAtomic:
          type: string
        avgDurationMs:
          type: number
        totalDurationMs:
          type: number
        lastRunAt:
          nullable: true
          type: string
      required:
        - workflowId
        - name
        - banner
        - tasks
        - published
        - modified
        - creatorFee
        - stepsCount
        - runs
        - paidRuns
        - succeededRuns
        - failedRuns
        - earnedAtomic
        - totalChargedAtomic
        - avgDurationMs
        - totalDurationMs
        - lastRunAt
    CreatorEarningEvent:
      type: object
      properties:
        id:
          type: string
        workflowId:
          type: string
        workflowName:
          type: string
        tasks:
          type: array
          items:
            type: string
        runnerAddress:
          type: string
        status:
          type: string
        network:
          type: string
        earnedAtomic:
          type: string
        composeBillAtomic:
          type: string
        totalChargedAtomic:
          type: string
        durationMs:
          type: number
        stepsCount:
          type: number
        txHash:
          nullable: true
          type: string
        proofCid:
          nullable: true
          type: string
        timestamp:
          type: string
      required:
        - id
        - workflowId
        - workflowName
        - tasks
        - runnerAddress
        - status
        - network
        - earnedAtomic
        - composeBillAtomic
        - totalChargedAtomic
        - durationMs
        - stepsCount
        - txHash
        - proofCid
        - timestamp
    MissingConnectorRequirement:
      type: object
      properties:
        entryId:
          type: string
        slug:
          type: string
        name:
          type: string
        type:
          type: string
          enum:
            - account
            - gated
        userAddress:
          type: string
        missingVars:
          type: array
          items:
            type: object
            properties:
              varName:
                type: string
              description:
                type: string
              obtainUrl:
                type: string
            required:
              - varName
        reason:
          type: string
        agentWallet:
          type: string
        runId:
          type: string
        threadId:
          type: string
        requestId:
          type: string
      required:
        - entryId
        - slug
        - name
        - type
        - reason
    MissingInputRequirement:
      type: object
      properties:
        stepId:
          type: string
        stepLabel:
          type: string
        modelId:
          type: string
        modelName:
          type: string
        acceptedInputs:
          type: array
          items:
            type: string
        questions:
          type: array
          items:
            type: string
        reason:
          type: string
        agentWallet:
          type: string
        runId:
          type: string
        threadId:
          type: string
        proposalId:
          type: string
      required:
        - stepId
        - stepLabel
        - acceptedInputs
        - reason
  securitySchemes:
    man0Auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Man0 authentication token returned by sign-in.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.